QXmppCarbonManager Class Reference
Managers

The QXmppCarbonManager class handles message carbons as described in XEP-0280: Message Carbons. More...

`#include <QXmppCarbonManager.h>`

Inheritance diagram for QXmppCarbonManager:
[legend]
Collaboration diagram for QXmppCarbonManager:
[legend]

## Signals

void | messageReceived (const QXmppMessage &)
void | messageSent (const QXmppMessage &)
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

bool | carbonsEnabled () const
void | setCarbonsEnabled (bool enabled)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
| ~QXmppClientExtension () override
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas. More...
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppCarbonManager class handles message carbons as described in XEP-0280: Message Carbons.

This class emits signals whenever another resource of the currently connected client account sent or received a message.

Since
  QXmpp 1.0

## Member Function Documentation

## carbonsEnabled()

bool QXmppCarbonManager::carbonsEnabled | ( |  | ) | const

Returns whether message carbons are currently enabled

## messageReceived

QXmppCarbonManager::messageReceived | ( | const QXmppMessage & |  | ) |

signal

Emitted when a message was received from someone else and directed to another resource.

If you connect this signal to the QXmppClient::messageReceived signal, they will appear as normal messages.

## messageSent

QXmppCarbonManager::messageSent | ( | const QXmppMessage & |  | ) |

signal

Emitted when another resource sent a message to someone else.

## setCarbonsEnabled()

void QXmppCarbonManager::setCarbonsEnabled | ( | bool | enabled | ) |

Enables or disables message carbons for this connection.

This function does not check whether the server supports message carbons, but just sends the corresponding stanza to the server, so one must check in advance by using the discovery manager.

By default, carbon copies are disabled.

The documentation for this class was generated from the following files:

- QXmppCarbonManager.h
- QXmppCarbonManager.cpp